Loading ...
Sorry, an error occurred while loading the content.

686Re: webalizer - gdImagePng Problem

Expand Messages
  • Evan Owens
    Dec 2, 2001
    • 0 Attachment
      Ditto. I've tried with both libpng 1.2.0 and libpng 1.0.12. I've
      seen some posts about needing a development version of gd?

      --- In webalizer@y..., ocpsecurity@n... wrote:
      > I also have this problem. Everything is compiled correctly. I am
      > using the same version of gd (gd-1.8.4). Does anyone have a
      solution
      > to this problem?
      >
      > --- In webalizer@y..., haimenis@y... wrote:
      > > Hi, I've been trying to install Webalizer, I know that I'm close
      to
      > > the end, but now I got stuck. I already installed gd-1.8.4 with
      > PNG,
      > > JPEG, Zlib libs, but when I run "make" on webalizer I got the
      > > following errors.
      > >
      > > [root webalizer]# make gcc -L/usr/lib -o webalizer webalizer.o
      > > hashtab.o linklist.o preserve.o parser.o output.o dns_resolv.o
      > > graphs.o -lgd -lpng -lz -lm graphs.o: In function `year_graph6x':
      > > graphs.o(.text+0xd36): undefined reference to `gdImagePng'
      > graphs.o:
      > > In function `month_graph6': graphs.o(.text+0x1ac9): undefined
      > > reference to `gdImagePng' graphs.o: In function `day_graph3':
      > graphs.o
      > > (.text+0x2119): undefined reference to `gdImagePng' graphs.o: In
      > > function `pie_chart': graphs.o(.text+0x26f7): undefined reference
      > to
      > > `gdImagePng' collect2: ld returned 1 exit status make: ***
      > > [webalizer] Error 1
      > >
      > > I noted that when I run ./configure there is a line that say the
      > > follwoing (I don't know if it revelant). checking for gdImagePng
      > in -
      > > lgd... (cached) no
      > >
      > > thanks!!!
    • Show all 4 messages in this topic